package logging

import (
	`os`

	`r00t2.io/goutils/types`
)

const (
	devlog string = "/dev/log"
	logPerm os.FileMode = 0600
)

// Flags for logger configuration
const (
	LogUndefined types.MaskBit = 1 << iota
	LogJournald
	LogSyslog
	LogFile
	LogStdout
)

var (
	defLogPaths = []string{"/var/log/golang/program.log", "~/.local/log/golang/program.log"}
)
